using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using StrategicCombat.CombatUnits;

namespace StrategicCombat.Teams
{
    /// <summary>
    /// This class represent a team with combat units on the left side of the board.
    /// </summary>
    public class LeftTeam : Team
    {
        #region Variables

        // Nothing here yet

        #endregion

        #region Constructors

        /// <summary>
        /// Create a new team on the left side of the board.
        /// </summary>
        /// <param name="content"></param>
        public LeftTeam(ContentManager content)
        {
            // Create the list with 12 positions.
            this.combatUnits = new List<CombatUnit>(12);

            // Create the left team (12 combat units)
            this.combatUnits.Add(new LeftTank(content, new Vector2(0, 0)));
            this.combatUnits.Add(new LeftPlane(content, new Vector2(0, 1)));
            this.combatUnits.Add(new LeftPresident(content, new Vector2(0, 2)));
            this.combatUnits.Add(new LeftFlameThrower(content, new Vector2(0, 3)));
            this.combatUnits.Add(new LeftPlane(content, new Vector2(0, 4)));
            this.combatUnits.Add(new LeftTank(content, new Vector2(0, 5)));
            this.combatUnits.Add(new LeftBouncer(content, new Vector2(1, 0)));
            this.combatUnits.Add(new LeftSoldier(content, new Vector2(1, 1)));
            this.combatUnits.Add(new LeftSoldier(content, new Vector2(1, 2)));
            this.combatUnits.Add(new LeftSoldier(content, new Vector2(1, 3)));
            this.combatUnits.Add(new LeftSoldier(content, new Vector2(1, 4)));
            this.combatUnits.Add(new LeftBouncer(content, new Vector2(1, 5)));

        }

        #endregion

    } // End of class

} // End of namespace
